Loading...
Searching...
No Matches
ncSAMult.h File Reference
`#include "misc/options.h"`
`#include "polys/monomials/ring.h"`
`#include "polys/nc/summator.h"`
`#include "reporter/reporter.h"`
`#include "polys/monomials/p_polys.h"`
`#include "polys/operations/p_Mult_q.h"`
`#include "polys/nc/ncSAFormula.h"`

Go to the source code of this file.

## Data Structures

class | CMultiplier< CExponent >
class | CSpecialPairMultiplier
struct | CPower
class | CPowerMultiplier
class | CGlobalMultiplier
class | CCommutativeSpecialPairMultiplier
class | CAntiCommutativeSpecialPairMultiplier
class | CQuasiCommutativeSpecialPairMultiplier
class | CWeylSpecialPairMultiplier
class | CHWeylSpecialPairMultiplier
class | CShiftSpecialPairMultiplier
class | CExternalSpecialPairMultiplier

## Functions

BOOLEAN | ncInitSpecialPairMultiplication (ring r)

## Function Documentation

## ncInitSpecialPairMultiplication()

BOOLEAN ncInitSpecialPairMultiplication | ( | ring | r | ) |

Definition at line 266 of file ncSAMult.cc.

{
#if OUTPUT
PrintS("ncInitSpecialPairMultiplication(ring), ring: \n");
rWrite(r, TRUE);
PrintLn();
#endif
if(!rIsPluralRing(r))// ; // :(((
return TRUE;
if(rIsSCA(r))
return TRUE;
if( r->GetNC()->GetGlobalMultiplier() != NULL )
{
WarnS("Already defined!");
return TRUE;
}
r->GetNC()->GetGlobalMultiplier() = new CGlobalMultiplier(r);
ggnc_p_ProcsSet(r, r->p_Procs);
return FALSE; // ok!
}
TRUE
#define TRUE
Definition auxiliary.h:101
FALSE
#define FALSE
Definition auxiliary.h:97
CGlobalMultiplier
Definition ncSAMult.h:264
WarnS
#define WarnS
Definition emacs.cc:78
rIsSCA
static bool rIsSCA(const ring r)
Definition nc.h:190
NULL
#define NULL
Definition omList.c:12
PrintS
void PrintS(const char *s)
Definition reporter.cc:288
PrintLn
void PrintLn()
Definition reporter.cc:314
rWrite
void rWrite(ring r, BOOLEAN details)
Definition ring.cc:227
rIsPluralRing
static BOOLEAN rIsPluralRing(const ring r)
we must always have this test!
Definition ring.h:406